Re: Textadept 1.1

From: mitchell <mforal.n....at.gmail.com>
Date: Wed, 21 Jan 2009 21:17:33 -0800 (PST)

Brian,

> I've fixed it. Apparently error messages are only printed when
> scintilla-st is compiled in debug mode.
>
> <snip>
>
> So I looked around... It turns out I didn't have an lpeg.so. But the one
> from the beta-6 version works. I now have syntax highlighting. (And the
> same trick works on the 1.2 version)
>
> Without the sources to compile the gtk.so and lpeg.so files 64-bit users
> are going to have a lot of trouble.

Strange, I thought I had it so LPeg was built into Textadept by
default. Apparently not...

Yeah, there was a bug report filed for the lack of decent 64-bit
support. The answer I gave there was that I couldn't figure out a way
to compile gtk.so without requiring an obscure version of libffi. I
also can't get a 64-bit OS running in VirtualBox for a decent
development environment, so it'll probably be a while since I've moved
to developing Textadept in Mac OSX.

Sorry for all the trouble and thanks for your patience,
Received on Thu 22 Jan 2009 - 00:17:33 EST

This archive was generated by hypermail 2.2.0 : Thu 08 Mar 2012 - 11:37:07 EST